@import url('https://fonts.googleapis.com/css2?family=Barlow&family=PT+Sans&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@300&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css");


:root{
    --dark: #2b2d42;
    --light: #adb5bd;
    --border: #dee2e6;
    --border-btn: #edf2f4;
}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

a {
    text-decoration: none;
    font-family: 'Kanit', sans-serif;
}

.container {
    max-width: 800px;
    margin: auto;
}

.nav-brand{
    font-size: 1.5em;
    font-weight: bold;
}

.d-flex{
    display: flex;
    flex-wrap: wrap;
}

.justify-between{
    justify-content: space-between;
}

.text-center{
    text-align: center;
}

.border-shadow{
    border-right: 1px solid var(--border-btn);
}

.border-shadow:hover > span{
    background: linear-gradient(to right, white, gold);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}

.text-dark{
    color: white;
}

.inline{
    display: inline-block;
}

.text-light{
    color: var(--light);
}

.text-gradient{
    background: linear-gradient(to right, black, gold);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}

#header nav{
    background-color: black;
    padding: 1em 0;
    width: 100%;
    border-radius: 0 0 100px 100px;
}

#site-main{
    margin-top: 6em;
    font-family: 'Kanit', sans-serif;
}

#site-main .container .box-nav > a{
    border-radius: 10px;
    font-size: 1em;
    padding: .5em 1em;
}
#site-main .container .box-nav > a:hover{
    background: var(--dark);
    border-color: wheat;
    border-radius: 10px;
    font-size: 1em;
    padding: .5em 1em;
    transition: background 0.5s;
}

#site-main .container form{
    margin: 2em 0;
    background: white;
}

table{
    border-spacing: 10px;
    width: 100%;
}

.table td, .table th{
    border-radius: 60px;
    padding: 0.50em;
    vertical-align: top;
    text-align: center;
    border-bottom: 1px solid var(--border);
}

.table td > a.btn{
    border-radius: 10px;
    padding: .3em 1em;
    font-size: 1.1em;
    margin: 0 .2em;

}

.table tr:hover{
    border: 3px solid var(--border);
    background: var(--dark);
    transition: background 0.5s;
}
.table tr:hover > td{
    background: linear-gradient(to right, white, gold);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
}

.table tr:hover td > a{
    box-shadow: none;
    transition: box-shadow 1s ease;
}

.table .thead-dark th{
    color: #fff;
    background-color: var(--dark) ;
    border-color: #32383e;
}

@media only screen and (max-width: 800px){
    table, thead, tbody, th, td, tr{
        display: block;
    }

    thead tr{
        position: absolute;
        top: -9999px;
        left: -9999px;
    }

    tr { border: 1px solid var(--border);}

    td{
        border: none;
        position: relative;
    }

}

/*  add user & update user template */
.form-title{
    margin-top: 1em;
}

.form-title > h2{
    padding: .5em 0;
    background-color: #adb5bd;
    border-radius: 100px;
}

.new_user{
    max-width: 800px;
    margin: auto;
}

#update_user .form-group,
#add_user .form-group{
    margin: .4em 0;
}

#update_user .form-group input[type="text"],
#add_user .form-group input[type="text"]{
    width: 100%;
    padding: .6em 1em;
    margin: .5em 0;
    border: 1px solid var(--border);
    font-family: 'Kanit', sans-serif;
    font-size: 1em;
    border-radius: 15px;
}

#update_user .form-group .radio,
#add_user .form-group .radio{
    margin: 1.5em 2em;
}

/* adding style to radio buttons */
.radio input[type='radio']{
    position: absolute;
    opacity: 0;
}

.radio input[type='radio'] + .radio-label:before{
    content: "";
    background: var(--border-btn);
    border-radius: 100%;
    border: 1px solid var(--border);
    display: inline-block;
    width: 1em;
    height: 1em;
    position: relative;
    top: -0em;
    margin-right: .5em;
    vertical-align: top;
    cursor: pointer;
    text-align: center;
    -webkit-transition: all 250ms ease;
    transition: all 250ms ease;
}

.radio input[type='radio']:checked + .radio-label:before{
    background-color: gold;
    box-shadow: inset 0 0 0 4px white;
}

.radio input[type='radio']:focus + .radio-label:before{
    outline: none;
    border-color: antiquewhite;
}

.radio input[type='radio']:disabled + .radio-label:before{
    box-shadow: inset 0 0 0 4px #e9ecef;
    border-color: #b4b4b4;
    background: white;
}

#update_user .form-group .btn,
#add_user .form-group .btn{
    width: 100%;
    padding: 0.4em ;
    background-color: var(--border-btn);
    border: none;
    font-family: 'Kanit', sans-serif;
    font-size: 1.5em;
    cursor: pointer;
    border-radius: 100px;
    margin: .5em 0;

}

#update_user .form-group .btn:hover,
#add_user .form-group .btn:hover{
    background-color: var(--dark);
    color: var(--border);
    transition: 0.5s background-color;
}
